tigase.jaxmpp.core.client.xmpp.modules.muc

## Class Room

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.muc.Room

-     public class Room
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Room.State`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Room(long id, Context context, BareJID roomJid, String nickname)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Occupant occupant)`
    `Message` | `createMessage(String body)`
    `long` | `getId()`
    `Date` | `getLastMessageDate()`
    `String` | `getNickname()`
    `String` | `getPassword()`
    `Map<String,Occupant>` | `getPresences()`
    `BareJID` | `getRoomJid()`
    `SessionObject` | `getSessionObject()`
    `Room.State` | `getState()`
    `Map<String,Occupant>` | `getTempOccupants()`
    `Presence` | `rejoin()`
    `void` | `remove(Occupant occupant)`
    `void` | `sendMessage(Message msg)`
    `Message` | `sendMessage(String body)`
    `void` | `setLastMessageDate(Date date)`
    `void` | `setPassword(String password)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Room

          public Room(long id,
                      Context context,
                      BareJID roomJid,
                      String nickname)

  - ### Method Detail

    - #### add

          public void add(Occupant occupant)
                   throws XMLException

      Throws:
        `XMLException`

    - #### createMessage

          public Message createMessage(String body)
                                throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getId

          public long getId()

    - #### getLastMessageDate

          public Date getLastMessageDate()

    - #### setLastMessageDate

          public void setLastMessageDate(Date date)

    - #### getNickname

          public String getNickname()

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public void setPassword(String password)

    - #### getPresences

          public Map<String,Occupant> getPresences()

    - #### getRoomJid

          public BareJID getRoomJid()

    - #### getSessionObject

          public SessionObject getSessionObject()

    - #### getState

          public Room.State getState()

    - #### getTempOccupants

          public Map<String,Occupant> getTempOccupants()

    - #### rejoin

          public Presence rejoin()
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### remove

          public void remove(Occupant occupant)
                      throws XMLException

      Throws:
        `XMLException`

    - #### sendMessage

          public Message sendMessage(String body)
                              throws JaxmppException

      Throws:
        `JaxmppException`

    - #### sendMessage

          public void sendMessage(Message msg)
                           throws JaxmppException

      Throws:
        `JaxmppException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 Tigase. All rights reserved.